Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jaxen.expr
Class DefaultStep

    java.lang.Object
      org.jaxen.expr.DefaultStep

All Implemented Interfaces:
  Predicated, Serializable, Step, Visitable

Direct Known Subclasses:
  DefaultAllNodeStep, DefaultCommentNodeStep, DefaultNameStep, DefaultProcessingInstructionNodeStep, DefaultTextNodeStep

Deprecated. this class will become non-public in the future; use the interface instead

public abstract class DefaultStep
extends Object
implements Step

See Also:
  Serialized Form

Constructor Summary
`DefaultStep(IterableAxis axis, PredicateSet predicates)` Deprecated.

Method Summary
`void` | `addPredicate(Predicate predicate)` Deprecated.
`Iterator` | `axisIterator(Object contextNode, ContextSupport support)` Deprecated. Get an Iterator for the current axis starting in the given contextNode.
`List` | `evaluate(Context context)` Deprecated. For each node in the given context calls matches() for every node on the axis, then filters the result by each of the predicates.
`int` | `getAxis()` Deprecated. Get an identifier for the current axis.
`String` | `getAxisName()` Deprecated.
`IterableAxis` | `getIterableAxis()` Deprecated.
`List` | `getPredicates()` Deprecated.
`PredicateSet` | `getPredicateSet()` Deprecated.
`String` | `getText()` Deprecated.
`void` | `simplify()` Deprecated.
`String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jaxen.expr.Step
`matches`

Methods inherited from interface org.jaxen.expr.Visitable
`accept`

Constructor Detail

### DefaultStep

    public DefaultStep(IterableAxis axis,
                       PredicateSet predicates)

  Deprecated.

Method Detail

### addPredicate

    public void addPredicate(Predicate predicate)

  Deprecated.
  Specified by:
    `addPredicate` in interface `Predicated`

### getPredicates

    public List getPredicates()

  Deprecated.
  Specified by:
    `getPredicates` in interface `Predicated`

### getPredicateSet

    public PredicateSet getPredicateSet()

  Deprecated.
  Specified by:
    `getPredicateSet` in interface `Predicated`

### getAxis

    public int getAxis()

  Deprecated.
  Description copied from interface: `Step`
  Get an identifier for the current axis.

  Specified by:
    `getAxis` in interface `Step`
  See Also:
    `Axis`

### getIterableAxis

    public IterableAxis getIterableAxis()

  Deprecated.

### getAxisName

    public String getAxisName()

  Deprecated.

### getText

    public String getText()

  Deprecated.
  Specified by:
    `getText` in interface `Step`

### toString

    public String toString()

  Deprecated.

### simplify

    public void simplify()

  Deprecated.
  Specified by:
    `simplify` in interface `Step`

### axisIterator

    public Iterator axisIterator(Object contextNode,
                                 ContextSupport support)
                          throws UnsupportedAxisException

  Deprecated.
  Description copied from interface: `Step`
  Get an Iterator for the current axis starting in the given contextNode.

  Specified by:
    `axisIterator` in interface `Step`
  Throws:
    `UnsupportedAxisException`

### evaluate

    public List evaluate(Context context)
                  throws JaxenException

  Deprecated.
  Description copied from interface: `Step`
  For each node in the given context calls matches() for every node on the axis, then filters the result by each of the predicates.

  Specified by:
    `evaluate` in interface `Step`
  Throws:
    `JaxenException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 Codehaus. All Rights Reserved.